Index: branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/par_c14b.F90
===================================================================
--- branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/par_c14b.F90	(revision 7136)
+++ branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/par_c14b.F90	(revision 7138)
@@ -57,5 +57,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
Index: branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcice_c14b.F90
===================================================================
--- branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcice_c14b.F90	(revision 7136)
+++ branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcice_c14b.F90	(revision 7138)
@@ -20,5 +20,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id: trcice_c14b.F90 4990 2014-12-15 16:42:49Z timgraham $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcini_c14b.F90
===================================================================
--- branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcini_c14b.F90	(revision 7136)
+++ branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcini_c14b.F90	(revision 7138)
@@ -37,5 +37,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90
===================================================================
--- branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 7136)
+++ branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 7138)
@@ -25,5 +25,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90
===================================================================
--- branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 7136)
+++ branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 7138)
@@ -53,5 +53,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcwri_c14b.F90
===================================================================
--- branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcwri_c14b.F90	(revision 7136)
+++ branches/UKMO/r5936_hadgem3_cplfld/NEMOGCM/NEMO/TOP_SRC/C14b/trcwri_c14b.F90	(revision 7138)
@@ -53,5 +53,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id: trcwri_c14b.F90 3160 2011-11-20 14:27:18Z cetlod $ 
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================