Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ISOMIP/MY_SRC/usrdef_sbc.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ISOMIP/MY_SRC/usrdef_sbc.F90	(revision 7163)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ISOMIP/MY_SRC/usrdef_sbc.F90	(revision 7164)
@@ -70,5 +70,5 @@
          !         
       ENDIF
-
+      !
    END SUBROUTINE usr_def_sbc
 
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_sbc.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_sbc.F90	(revision 7163)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_sbc.F90	(revision 7164)
@@ -70,5 +70,5 @@
          !         
       ENDIF
-
+      !
    END SUBROUTINE usr_def_sbc
 
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_sbc.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_sbc.F90	(revision 7163)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/MY_SRC/usrdef_sbc.F90	(revision 7164)
@@ -70,5 +70,5 @@
          !         
       ENDIF
-
+      !
    END SUBROUTINE usr_def_sbc
 
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90	(revision 7163)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90	(revision 7164)
@@ -97,5 +97,5 @@
       !!                   ***  ROUTINE zgr_z  ***
       !!
-      !! ** Purpose :   set the depth of model levels and the resulting 
+      !! ** Purpose :   set the 1D depth of model levels and the resulting 
       !!              vertical scale factors.
       !!
@@ -127,6 +127,6 @@
       IF( nn_timing == 1 )  CALL timing_start('zgr_z')
       !
-      ! Set variables from parameters
-      ! ------------------------------
+      ! Set parameters of z(k) function
+      ! -------------------------------
       zsur = -2033.194295283385_wp       
       za0  =   155.8325369664153_wp 
@@ -135,5 +135,5 @@
       zacr =     5.0_wp       
       !
-      IF(lwp) THEN                         ! Parameter print
+      IF(lwp) THEN            ! Parameter print
          WRITE(numout,*)
          WRITE(numout,*) '    zgr_z   : Reference vertical z-coordinates '
@@ -147,8 +147,9 @@
       ENDIF
 
-
-      ! Reference z-coordinate (depth - scale factor at T- and W-points)   ! Madec & Imbard 1996 function
-      ! ----------------------
-      DO jk = 1, jpk
+      !
+      ! 1D Reference z-coordinate    (using Madec & Imbard 1996 function)
+      ! -------------------------
+      !
+      DO jk = 1, jpk          ! depth at T and W-points
          zw = REAL( jk , wp )
          zt = REAL( jk , wp ) + 0.5_wp
@@ -203,8 +204,8 @@
       !!                   k_bot = jpk-1 except along north, south, east and west boundaries
       !!
-      !! ** Action  : - k_top : first ocean level index
-      !!              - k_bot : last  ocean level index
-      !!----------------------------------------------------------------------
-      INTEGER , DIMENSION(:,:), INTENT(out) ::   k_top , k_bot   ! first & last ocean level
+      !! ** Action  : - k_top : first wet ocean level index
+      !!              - k_bot : last  wet ocean level index
+      !!----------------------------------------------------------------------
+      INTEGER , DIMENSION(:,:), INTENT(out) ::   k_top , k_bot   ! first & last wet ocean level
       !
       REAL(wp), DIMENSION(jpi,jpj) ::   z2d   ! 2D local workspace
@@ -212,5 +213,5 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) '    zgr_top_bot : defines the top and bottom ocean levels.'
+      IF(lwp) WRITE(numout,*) '    zgr_top_bot : defines the top and bottom wet ocean levels.'
       IF(lwp) WRITE(numout,*) '    ~~~~~~~~~~~'
       IF(lwp) WRITE(numout,*) '       GYRE case : closed flat box ocean without ocean cavities'