Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces_cfg
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces_cfg	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_pisces_cfg	(revision 7174)
@@ -95,4 +95,8 @@
 /
 !-----------------------------------------------------------------------
+&nampislig      !  Namelist parameters for ligands, nampislig
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &nampisice      !  Prescribed sea ice tracers
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces_cfg
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces_cfg	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_pisces_cfg	(revision 7174)
@@ -96,4 +96,8 @@
 /
 !-----------------------------------------------------------------------
+&nampislig      !  Namelist parameters for ligands, nampislig
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &nampisice      !  Prescribed sea ice tracers
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top_cfg
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top_cfg	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_top_cfg	(revision 7174)
@@ -13,9 +13,9 @@
 !
    ln_pisces     =  .true.
+   ln_my_trc     =  .false.
    ln_age        =  .false.
    ln_cfc11      =  .false.
    ln_cfc12      =  .false.
    ln_c14        =  .false.
-   ln_my_trc     =  .false.
 !
    ln_trcdta     =  .true.  !  Initialisation from data input file (T) or not (F)
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/field_def.xml
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/field_def.xml	(revision 7174)
@@ -867,4 +867,10 @@
        <field id="PCHL"         long_name="Picophytoplankton Chl biomass"            unit="mg/m3" />
        <field id="PCHL_e3t"     long_name="PCHL * e3t"                               unit="mmol/m2"  > PCHL * e3t </field >
+
+      <!-- PISCES with ligand parametisation : variables available namelist paramter ln_ligand -->
+       <field id="LGW"         long_name="Weak ligands concentration"                unit="mmol/m3" />
+       <field id="LGW_e3t"     long_name="LGW * e3t"                                 unit="mmol/m2"  > LGW * e3t </field >
+       <field id="LFe"         long_name="Lithogenic iron concentration"             unit="mmol/m3" />
+       <field id="LFe_e3t"     long_name="LFe * e3t"                                 unit="mmol/m2"  > LFe * e3t </field >
 
        <!-- PISCES light : variables available with ln_p2z  -->
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref	(revision 7174)
@@ -51,10 +51,10 @@
    wsbio2scale=  5000.    ! Big particles length scale of sinking
    niter1max  =  1        ! Maximum number of iterations for POC
-   niter2max  =  1        ! Maximum number of iterations for GOC
+   niter2max  =  2        ! Maximum number of iterations for GOC
 !                         !  ln_ligand enabled
-   wfep       =  0.       ! FeP sinking speed 
-   ldocp      =  0.       ! Phyto ligand production per unit doc 
-   ldocz      =  0.       ! Zoo ligand production per unit doc 
-   lthet      =  0.       ! Proportional loss of ligands due to Fe uptake 
+   wfep       =  0.2      ! FeP sinking speed 
+   ldocp      =  1.E-5    ! Phyto ligand production per unit doc 
+   ldocz      =  1.E-5    ! Zoo ligand production per unit doc 
+   lthet      =  0.5      ! Proportional loss of ligands due to Fe uptake 
 !                         !  ln_p5z enabled
    no3rat3    =  0.182    ! N/C ratio in zooplankton
@@ -165,7 +165,7 @@
    grosip     =  0.159    ! mean Si/C ratio
 /
-!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+!-----------------------------------------------------------------------
 &namp5zprod     !   parameters for phytoplankton growth for PISCES quota - ln_p5z
-!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+!-----------------------------------------------------------------------
    pislopen   =  3.       ! P-I slope
    pislopep   =  3.       ! P-I slope for picophytoplankton
@@ -382,6 +382,16 @@
    hratio      =  1.e+7    ! Fe to 3He ratio assumed for vent iron supply 
 !                          ! ln_ligand
-   fep_rats    =  0.       ! Fep/Fer ratio from sed sources 
-   fep_rath    =  0.       ! Fep/Fer ratio from sed hydro sources 
+   fep_rats    =  1.       ! Fep/Fer ratio from sed sources 
+   fep_rath    =  1.       ! Fep/Fer ratio from sed hydro sources 
+   lgw_rath    =  0.5      ! Weak ligand ratio from sed hydro sources 
+/
+!-----------------------------------------------------------------------
+&nampislig      !  Namelist parameters for ligands, nampislig
+!-----------------------------------------------------------------------
+   rfep        =  0.001    ! Dissolution rate of FeP
+   rlgw        =  1.       ! Lifetime (years) of weak ligands
+   rlig        =  1.E-4    ! Remin ligand production per unit C
+   prlgw       =  1.E-4    ! Photolysis of weak ligand
+   rlgs        =  1000.    ! Lifetime (years) of strong ligands
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/cfg.txt
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/cfg.txt	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/CONFIG/cfg.txt	(revision 7174)
@@ -11,2 +11,3 @@
 GYRE OPA_SRC
 ORCA2_LIM_PISCES OPA_SRC LIM_SRC_2 NST_SRC TOP_SRC
+ORCA2_LIM3_TRC OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zche.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zche.F90	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zche.F90	(revision 7174)
@@ -439,9 +439,9 @@
                ! Liu and Millero (1999) only valid 5 - 50 degC
                ztkel1 = MAX( 5. , tempis(ji,jj,jk) ) + 273.16
-               fesol(ji,jj,jk,1) = 10**((-13.486) - (0.1856* (zis**0.5)) + (0.3073*zis) + (5254.0/ztkel1))
-               fesol(ji,jj,jk,2) = 10**(2.517 - (0.885*(zis**0.5)) + (0.2139 * zis) - (1320.0/ztkel1) )
-               fesol(ji,jj,jk,3) = 10**(0.4511 - (0.3305*(zis**0.5)) - (1996.0/ztkel1) )
-               fesol(ji,jj,jk,4) = 10**(-0.2965 - (0.7881*(zis**0.5)) - (4086.0/ztkel1) )
-               fesol(ji,jj,jk,5) = 10**(4.4466 - (0.8505*(zis**0.5)) - (7980.0/ztkel1) )
+               fesol(ji,jj,jk,1) = 10**(-13.486 - 0.1856* zis**0.5 + 0.3073*zis + 5254.0/ztkel1)
+               fesol(ji,jj,jk,2) = 10**(2.517 - 0.8885*zis**0.5 + 0.2139 * zis - 1320.0/ztkel1 )
+               fesol(ji,jj,jk,3) = 10**(0.4511 - 0.3305*zis**0.5 - 1996.0/ztkel1 )
+               fesol(ji,jj,jk,4) = 10**(-0.2965 - 0.7881*zis**0.5 - 4086.0/ztkel1 )
+               fesol(ji,jj,jk,5) = 10**(4.4466 - 0.8505*zis**0.5 - 7980.0/ztkel1 )
             END DO
          END DO
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90	(revision 7174)
@@ -250,18 +250,17 @@
                   zfecoll = ( 0.3 * zFeL1(ji,jj,jk) + 0.5 * zFeL2(ji,jj,jk) ) * 1E-9
                ELSE
+                  zfeequi = zFe3(ji,jj,jk) * 1E-9
                   IF (ln_fecolloid) THEN
-                     zfeequi = zFe3(ji,jj,jk) * 1E-9
                      zhplus   = max( rtrn, hi(ji,jj,jk) )
-                     fe3sol  = fesol(ji,jj,jk,1) * ( fesol(ji,jj,jk,2) * zhplus**2  &
+                     fe3sol  = fesol(ji,jj,jk,1) * ( zhplus**3 + fesol(ji,jj,jk,2) * zhplus**2  &
                      &         + fesol(ji,jj,jk,3) * zhplus + fesol(ji,jj,jk,4)     &
                      &         + fesol(ji,jj,jk,5) / zhplus )
                      zfecoll = max( ( 0.1 * zFeL1(ji,jj,jk) * 1E-9 ), ( zFeL1(ji,jj,jk) * 1E-9 -fe3sol ) )
                   ELSE
-                     zfeequi = zFe3(ji,jj,jk) * 1E-9 
                      zfecoll = 0.5 * zFeL1(ji,jj,jk) * 1E-9
                      fe3sol  = 0.
-                     kfep    = 0.
                   ENDIF
                ENDIF
+               !
                ztrc   = ( trb(ji,jj,jk,jppoc) + trb(ji,jj,jk,jpgoc) + trb(ji,jj,jk,jpcal) + trb(ji,jj,jk,jpgsi) ) * 1.e6 
                IF( ln_dust )  zdust  = dust(ji,jj) / ( wdust / rday ) * tmask(ji,jj,jk) ! dust in kg/m2/s
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zligand.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zligand.F90	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zligand.F90	(revision 7174)
@@ -66,5 +66,4 @@
                zlgwr = 1. / zlgwr * tgfunc(ji,jj,jk) * ( xstep / nyear_len(1) ) * trn(ji,jj,jk,jplgw)
                ! photochem loss of weak ligand
-               zlablgw = MAX( 0., trn(ji,jj,jk, jpfer) * plig(ji,jj,jk) )
                zlgwpr = prlgw * xstep * etot(ji,jj,jk) * trn(ji,jj,jk,jplgw) * (1. - fr_i(ji,jj))
                tra(ji,jj,jk,jplgw) = tra(ji,jj,jk,jplgw) + zlgwp - zlgwr - zlgwpr
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 7174)
@@ -229,5 +229,5 @@
         &                ln_dust, ln_solub, ln_river, ln_ndepo, ln_ironsed, ln_ironice, ln_hydrofe,    &
         &                sedfeinput, dustsolub, icefeinput, wdust, mfrac, nitrfix, diazolight, concfediaz, &
-        &                hratio, fep_rats, fep_rath
+        &                hratio, fep_rats, fep_rath, lgw_rath
       !!----------------------------------------------------------------------
       !
@@ -274,6 +274,7 @@
          WRITE(numout,*) '    Fe to 3He ratio assumed for vent iron supply hratio  = ', hratio
          IF( ln_ligand ) THEN
-            WRITE(numout,*) '    Fep/Fer ratio from sed sources                       = ', fep_rats
-            WRITE(numout,*) '    Fep/Fer ratio from sed hydro sources                 = ', fep_rath
+            WRITE(numout,*) '    Fep/Fer ratio from sed sources            fep_rats   = ', fep_rats
+            WRITE(numout,*) '    Fep/Fer ratio from sed hydro sources      fep_rath   = ', fep_rath
+            WRITE(numout,*) '    Weak ligand ratio from sed hydro sources  lgw_rath   = ', lgw_rath
          ENDIF
       END IF
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsed.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsed.F90	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsed.F90	(revision 7174)
@@ -209,5 +209,5 @@
          IF( ln_ligand ) THEN
             tra(:,:,:,jpfep) = tra(:,:,:,jpfep) + ( hydrofe(:,:,:) * fep_rath ) * rfact2
-            tra(:,:,:,jplgw) = tra(:,:,:,jplgw) + ( hydrofe(:,:,:) * 0.5 ) * rfact2
+            tra(:,:,:,jplgw) = tra(:,:,:,jplgw) + ( hydrofe(:,:,:) * lgw_rath ) * rfact2
          ENDIF
          !
Index: /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 7173)
+++ /branches/2016/dev_r7012_ROBUST5_CNRS/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 7174)
@@ -168,6 +168,6 @@
         IF( cltra == 'PICP'     )   jpppi = jn      !: Picophytoplankton P biomass
         IF( cltra == 'PFe'      )   jppfe = jn      !: Picophytoplankton Fe biomass
-        IF( cltra == 'LFe'      )   jplgw = jn      !: Weak ligands
-        IF( cltra == 'FFe'      )   jpfep = jn      !: Fe nanoparticle
+        IF( cltra == 'LGW'      )   jplgw = jn      !: Weak ligands
+        IF( cltra == 'LFe'      )   jpfep = jn      !: Fe nanoparticle
       ENDDO
 